Extension [/opt/apache-druid-0.20.1/dist/druid/extensions/druid-orc-extensions] specified in “druid.extensions.loadList” didn't exist?

I am trying to deploy apache/druid:0.20.1 in Kube. I am getting error:

Extension [/opt/apache-druid-0.20.1/dist/druid/extensions/druid-orc-extensions] specified in "druid.extensions.loadList" didn't exist!? 

                                     

I have taken off druid-orc-extensions from extensions list in my common properties but still getting the same for the next one druid-s3-extensions and so on. I somewhere on Google found that repositoryList solved the issue. I did try:

druid.extensions.repositoryList=[ "druid-hdfs-storage", "druid-kafka-indexing-service", "druid-datasketches","druid-s3-extensions", "druid-kafka-indexing-service", "postgresql-metadata-storage", "druid-parquet-extensions", "druid-datasketches", "druid-basic-security"]

Now, I did not get error, but its not able to connect too Postgres Metadata and giving error:

2021-04-01T14:14:06,926 ERROR [main] org.apache.druid.cli.CliCoordinator - Error when starting up. Failing.
com.google.inject.ProvisionException: Unable to provision, see the following errors:
1) Unknown provider[postgresql] of Key[type=org.apache.druid.metadata.MetadataStorageProvider, annotation=[none]], known options[[derby]]
 at org.apache.druid.guice.PolyBind.createChoiceWithDefault(PolyBind.java:109) (via modules: com.google.inject.util.Modules$OverrideModule -> com.google.inject.util.Modules$OverrideModule -> org.apache.druid.metadata.storage.derby.DerbyMetadataStorageDruidModule)
 while locating org.apache.druid.metadata.MetadataStorageProvider
 while locating org.apache.druid.metadata.MetadataStorage

Please suggest. Thanks.